OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.BindlessMultiDrawIndirectCount

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetNVBindlessMultiDrawIndirectCount :: MonadIO m => m Bool
- gl_NV_bindless_multi_draw_indirect_count :: Bool
- glMultiDrawArraysIndirectBindlessCountNV :: MonadIO m => GLenum -> Ptr a -> GLsizei -> GLsizei -> GLsizei -> GLint -> m ()
- glMultiDrawElementsIndirectBindlessCountNV :: MonadIO m => GLenum -> GLenum -> Ptr a -> GLsizei -> GLsizei -> GLsizei -> GLint -> m ()

# Extension Support

glGetNVBindlessMultiDrawIndirectCount :: MonadIO m => m Bool Source #

Is the NV_bindless_multi_draw_indirect_count extension supported?

gl_NV_bindless_multi_draw_indirect_count :: Bool Source #

Is the NV_bindless_multi_draw_indirect_count extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVBindlessMultiDrawIndirectCount` in those cases instead.

# Functions

glMultiDrawArraysIndirectBindlessCountNV Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr a | `indirect`.
-> GLsizei | `drawCount`.
-> GLsizei | `maxDrawCount`.
-> GLsizei | `stride`.
-> GLint | `vertexBufferCount`.
-> m () |

glMultiDrawElementsIndirectBindlessCountNV Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indirect`.
-> GLsizei | `drawCount`.
-> GLsizei | `maxDrawCount`.
-> GLsizei | `stride`.
-> GLint | `vertexBufferCount`.
-> m () |